%define py_setup setup.py

#
# spec file for package python-ioc_writer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           ioc_writer
Version:        0.3.3
Release:        1%{?dist}
License:        Apache
Summary:        API providing a limited CRUD for manipulating OpenIOC formatted Indicators of Compromise
Url:            http://www.github.com/mandiant/ioc_writer/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/fd/48/9ffdaa8d37de7a207a15330095abf8bab5ba5c46463dc504c8ceb0826562/ioc_writer-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
ioc\_writer
===========

The source code in this package is made available under the terms of the
Apache License , Version 2.0. See the "LICENSE " file for more
information.

Status
------

-  |Build Status|
-  |Coverage Status|

Author
------

William Gibb william.gibb at fireeye dot com

Purpose
-------

Provide a python library that allows for basic creation and editing of
OpenIOC objects. It supports a basic CRUD (Create, Read, Update, Delete)
for various items:

+-----------------------+----------+--------+----------+----------+
| item                  | Create   | Read   | Update   | Delete   |
+=======================+==========+========+==========+==========+
| IOC name              | Yes      | No     | Yes      | Yes      |
+-----------------------+----------+--------+----------+----------+
| IOC description       | Yes      | No     | Yes      | Yes      |
+-----------------------+----------+--------+----------+----------+
| created date          | Yes      | No     | Yes      | N/A      |
+-----------------------+----------+--------+----------+----------+
| last modified date    | Yes      | No     | Yes      | N/A      |
+-----------------------+----------+--------+----------+----------+
| published date        | Yes      | No     | Yes      | N/A      |
+-----------------------+----------+--------+----------+----------+
| link metadata         | Yes      | No     | Yes      | Yes      |
+-----------------------+----------+--------+----------+----------+
| IndicatorItem nodes   | Yes      | No     | NotYet   | Yes      |
+-----------------------+----------+--------+----------+----------+
| Indicator nodes       | Yes      | No     | NotYet   | Yes      |
+-----------------------+----------+--------+----------+----------+
| Parameters            | Yes      | No     | Yes      | Yes      |
+-----------------------+----------+--------+----------+----------+

Items do not have built in Read operations, since all items can be
accesed with built in ElementTree syntax or the use of XPATH to select
portions of the IOC.

No decision has been made about whether or not to support changing of
existing Indicator/IndicatorItem nodes.

See the Docs located at https://pythonhosted.org/ioc\_writer/ and the
examples directory for examples of working with the library. The user
code should avoid having to call functionality in ioc\_writer.ioc\_et.

Requirements
------------

The python "lxml" library must be installed. This can be obtained from
https://pypi.python.org/pypi/lxml

Installation
------------

See the file named "INSTALL" for instructions on installing this library
locally.

Examples
--------

Example code lives in the examples folder of the repository.

1. examples/11\_to\_10\_downgrade Script to downgrade OpenIOC 1.1 to
   OpenIOC 1.1.
2. examples/openioc\_to\_yara Scripts that support encapsulating YARA
   signatures in OpenIOC 1.1 format.
3. examples/simple\_ioc\_writer Script that consumes a csv of data to
   build an IOC. this csv contains the content, context, et cetera. An
   example CSV is provided.

Bug reports / questions / feedback / feature requests
=====================================================

william.gibb at fireeye dot com

.. |Build Status| image:: https://travis-ci.org/mandiant/ioc_writer.svg?branch=master
   :target: https://travis-ci.org/mandiant/ioc_writer
.. |Coverage Status| image:: https://coveralls.io/repos/github/mandiant/ioc_writer/badge.svg?branch=master
   :target: https://coveralls.io/github/mandiant/ioc_writer?branch=master

%package -n python2-%{name}
Summary:	API providing a limited CRUD for manipulating OpenIOC formatted Indicators of Compromise
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Obsoletes:	python-%{name}
Provides:	python-%{name}

%description -n python2-%{name}
Provide a python library that allows for basic creation and editing of OpenIOC objects.

%prep
%setup -q -n %{name}-%{version}

%build
%py2_build

%install
%py2_install

%files -n python2-%{name}
%defattr(-,root,root,-)
%{python2_sitelib}/*
%{_bindir}/*

%changelog
* Tue Nov 19 2019 Lawrence R. Rogers <lrr@cert.org> 0.3.3-1
* Release 0.3.3-1
	Version 0.3.3 - Renamed to Python2

